<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\FrontendController;
use App\Http\Controllers\Admin\TeamMemberController;
use App\Http\Controllers\Admin\CompanyInfoController;
use App\Http\Controllers\Admin\CarouselController;
use App\Http\Controllers\frontend\ContactController;
use App\Models\TeamMember;
use App\Models\Service;
use App\Models\About;
use App\Models\Testimonial;
use App\Models\Project;
use App\Models\Blog;
use App\Models\Ceo_message;
use App\Models\Photo;
use App\Models\Video;

// Route::get('/',  function() {

//     return view('frontend.test');
// });

Route::get('/', [FrontendController::class, 'front']);
Route::get('/metro', [FrontendController::class, 'metro'])->name('metro');
Route::get('/knowledge', [FrontendController::class, 'knowledge'])->name('knowledge');
Route::get('/custom', [FrontendController::class, 'custom'])->name('custom');
Route::get('/schoolPage', [FrontendController::class, 'school'])->name('schoolPage');
Route::get('/ruralPage', [FrontendController::class, 'rural'])->name('ruralPage');
Route::get('/pressReport', [FrontendController::class, 'pressReport'])->name('pressReport');
Route::get('/contact', [ContactController::class, 'contact'])->name('contact');
Route::post('/submit/from_data', [ContactController::class, 'formData'])->name('FormSubmit');


// Route::get('/ContactPageTitle', [FrontendController::class, 'ContactPageTitle']);


// admin
Route::resource('teamMember', TeamMemberController::class);

Route::resource('company_info', CompanyInfoController::class);

Route::resource('carousels', CarouselController::class);

require  __DIR__ . '/admin.php';
